C# Class Revit.Elements.CustomRoom

Inheritance: Revit.Elements.Element, IGraphicItem
ファイルを表示 Open project: simonmoreau/DynamoMEP

Private Properties

Property Type Description
BoundaryFamilyInstance List
CreateColorByteArrayOfSize byte[]
CustomRoom System
CustomRoom System
FromExisting CustomRoom
GetBoundarySegment List
GetIdentificationData string>.Dictionary
GetNearestLevel Autodesk.Revit.DB.Level
GetTransform Autodesk.Revit.DB.Transform
InitRoom void
InitRoom void
InternalSetRoom void
Tessellate void

Public Methods

Method Description
ByPoint ( Point point ) : CustomRoom

Create a Room based on a location

ByPointAndLevel ( Point point, Revit.Elements.Level level ) : CustomRoom

Create a Room based on a location and a level

FromElement ( Revit.Elements.Element element ) : CustomRoom

Create a Room from an existing Room

Grid ( double step ) : List

Return a grid of points in the room

IsInRoom ( Revit.Elements.Element element ) : bool

Determine if an element lies within the volume of the Room

ToString ( ) : string

OPTIONAL: Overriding ToString allows you to control what is displayed whenever the object's string representation is used. For example, ToString is called when the object is displayed in a Watch node.

Private Methods

Method Description
BoundaryFamilyInstance ( Autodesk.Revit.DB cat ) : List

Retrive family instance hosted in boundary elements This is the base function for Windows and Doors

CreateColorByteArrayOfSize ( int size, byte red, byte green, byte blue, byte alpha ) : byte[]
CustomRoom ( Autodesk.Revit.DB room ) : System

Create from an existing Revit Element

CustomRoom ( Autodesk.Revit.DB level, Autodesk.Revit.DB point ) : System
FromExisting ( Autodesk.Revit.DB room, bool isRevitOwned ) : CustomRoom

Create a space from an existing reference

GetBoundarySegment ( ) : List
GetIdentificationData ( ) : string>.Dictionary
GetNearestLevel ( Autodesk.Revit.DB point ) : Autodesk.Revit.DB.Level

Find the nearest level in the active document

GetTransform ( ) : Autodesk.Revit.DB.Transform
InitRoom ( Autodesk.Revit.DB room ) : void

Initialize a Room element

InitRoom ( Autodesk.Revit.DB level, Autodesk.Revit.DB point ) : void
InternalSetRoom ( Autodesk.Revit.DB room ) : void

Set the internal Element, ElementId, and UniqueId

Tessellate ( IRenderPackage package, TessellationParameters parameters ) : void

Method Details

ByPoint() public static method

Create a Room based on a location
public static ByPoint ( Point point ) : CustomRoom
point Point Location point for the room
return CustomRoom

ByPointAndLevel() public static method

Create a Room based on a location and a level
public static ByPointAndLevel ( Point point, Revit.Elements.Level level ) : CustomRoom
point Point Location point for the room
level Revit.Elements.Level Level of the room
return CustomRoom

FromElement() public static method

Create a Room from an existing Room
public static FromElement ( Revit.Elements.Element element ) : CustomRoom
element Revit.Elements.Element The origin element
return CustomRoom

Grid() public method

Return a grid of points in the room
public Grid ( double step ) : List
step double Lenght between two points
return List

IsInRoom() public method

Determine if an element lies within the volume of the Room
public IsInRoom ( Revit.Elements.Element element ) : bool
element Revit.Elements.Element
return bool

ToString() public method

OPTIONAL: Overriding ToString allows you to control what is displayed whenever the object's string representation is used. For example, ToString is called when the object is displayed in a Watch node.
public ToString ( ) : string
return string